#!/bin/sh

add_fun(){
result="`$@ 2>&1`"
if [ $? -eq 1 ]; then
        if [ `echo "$result" | grep -c "already exist"` -eq 1 ]; then
                :
        else
                echo "$@";
        fi
fi
}

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $? -eq 0 ]; then
        if [ "$ro" -eq 1 ]; then
                ${VCSHOME}/bin/haconf -makerw
        fi
else
        echo "Unable to add the OraDG type. VCS Engine is not running. Start VCS Engine and execute the script /etc/VRTSvcs/conf/sample_oradg/addOraDGType.sh"
        exit 0;
fi

add_fun "${VCSHOME}/bin/hatype -add OraDG"
${VCSHOME}/bin/hatype -modify OraDG SourceFile "./OraDGTypes.cf"
${VCSHOME}/bin/hatype -modify OraDG SupportedActions DGStatus DGDemotePri activateStandby deactivateStandby getremoteSCN flashbackRecover SnapshotOn SnapshotOff GetCurrentRPO
${VCSHOME}/bin/hatype -modify OraDG ArgList LinkRes AgentDebug Encoding Flashback ComputeDRSLA
add_fun "${VCSHOME}/bin/hatype -modify OraDG OnlineRetryLimit 1"
add_fun "${VCSHOME}/bin/hatype -modify OraDG OnlineTimeout 1800"
add_fun "${VCSHOME}/bin/hatype -modify OraDG RestartLimit 1"
add_fun "${VCSHOME}/bin/haattr -add OraDG LinkRes -string"
add_fun "${VCSHOME}/bin/haattr -add OraDG AgentDebug -boolean 0"
add_fun "${VCSHOME}/bin/haattr -add OraDG Encoding -string"
add_fun "${VCSHOME}/bin/haattr -add OraDG Flashback -boolean 0"
add_fun "${VCSHOME}/bin/haattr -add OraDG ComputeDRSLA -integer 1"

add_fun "${VCSHOME}/bin/hatype -add OraDGSnap"
${VCSHOME}/bin/hatype -modify OraDGSnap SourceFile "./OraDGTypes.cf"
${VCSHOME}/bin/hatype -modify OraDGSnap ArgList TargetRes SnapMode
add_fun "${VCSHOME}/bin/hatype -modify OraDGSnap OnlineRetryLimit 1"
add_fun "${VCSHOME}/bin/hatype -modify OraDGSnap OnlineTimeout 1800"
add_fun "${VCSHOME}/bin/hatype -modify OraDGSnap RestartLimit 1"
add_fun "${VCSHOME}/bin/haattr -add OraDGSnap TargetRes -string"
add_fun "${VCSHOME}/bin/haattr -add OraDGSnap SnapMode -string "rw""

add_fun "${VCSHOME}/bin/hatype -add OraDGBroker"
${VCSHOME}/bin/hatype -modify OraDGBroker SourceFile "./OraDGTypes.cf"
${VCSHOME}/bin/hatype -modify OraDGBroker SupportedActions DGStatus ActRemote FlashbackRecover GetCurrentRPO
${VCSHOME}/bin/hatype -modify OraDGBroker ArgList Sid DBName Owner Home AgentDebug Encoding ForceDB LinkRes DBUserName DBPassword
add_fun "${VCSHOME}/bin/hatype -modify OraDGBroker MonitorTimeout 120"
add_fun "${VCSHOME}/bin/hatype -modify OraDGBroker OnlineRetryLimit 1"
add_fun "${VCSHOME}/bin/hatype -modify OraDGBroker OnlineTimeout 1800"
add_fun "${VCSHOME}/bin/hatype -modify OraDGBroker RestartLimit 1"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker Sid -string"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker DBName -string"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker Owner -string"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker Home -string"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker AgentDebug -boolean 0"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker Encoding -string"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker ForceDB -string"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker LinkRes -string"
add_fun "${VCSHOME}/bin/haattr -add OraDG ComputeDRSLA -integer 1"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker DBUserName -string"
add_fun "${VCSHOME}/bin/haattr -add OraDGBroker DBPassword -string"

if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -dump -makero
else
	${VCSHOME}/bin/haconf -dump
fi

